<div style="padding: 24px">
<h1 mat-dialog-title>Item Code: {{data.code}}</h1>
<div mat-dialog-content>
  <p>Please update the quantity below</p>
  <mat-form-field>
    <mat-label>Quantity</mat-label>
    <input matInput type="text" (keyup)="checkQty($event)" [(ngModel)]="data.qty">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">No Thanks</button>
  <button mat-button [mat-dialog-close]="data.qty" cdkFocusInitial>Ok</button>
</div>
</div>